"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const json_1 = require("./json");
let spy;
beforeEach(() => {
    spy = jest.spyOn(console, 'error').mockImplementation(() => { });
});
afterEach(() => {
    if (spy) {
        spy.mockRestore();
    }
});
test('Is a JSON object', () => {
    const possibleObject = {
        hi: 'there'
    };
    expect(json_1.isJSONObject(possibleObject)).toEqual(true);
});
test('Are not JSON object', () => {
    const possibleObjects = [
        1,
        true,
        false,
        null,
        'hello',
        [1, 2, 'hi'],
        undefined,
        new Date()
    ];
    possibleObjects.forEach((possibleObject) => {
        expect(json_1.isJSONObject(possibleObject)).toEqual(false);
    });
});
test('Is a JSON array', () => {
    const possibleArray = [1, 2, true, false, null, 'hello', [1, 2, 3], { hi: 'there' }];
    expect(json_1.isJSONArray(possibleArray)).toEqual(true);
});
test('Are not JSON array', () => {
    const possibleArrays = [
        1,
        true,
        false,
        null,
        'hello',
        { hi: 'there' },
        undefined,
        new Date()
    ];
    possibleArrays.forEach((possibleArray) => {
        expect(json_1.isJSONArray(possibleArray)).toEqual(false);
    });
});
test('Is a JSON Value', () => {
    const possibleValues = [
        1,
        true,
        false,
        null,
        'hello',
        { hi: 'there' },
        ['hi', 1, 0, true, false, null, [1], { hi: 'there' }],
        {
            number: 1,
            boolean1: true,
            boolean2: false,
            null: null,
            array: [1, 2, 3],
            object: { hi: 'there' }
        }
    ];
    possibleValues.forEach((possibleValue) => {
        expect(json_1.isJSONValue(possibleValue)).toEqual(true);
    });
});
test('Is NOT a JSON Value', () => {
    class SomeClass {
    }
    ;
    const possibleValues = [
        undefined,
        new Date(),
        [undefined],
        [new Date()],
        {
            undefined: undefined,
        },
        {
            date: new Date(),
        }
    ];
    possibleValues.forEach((possibleValue) => {
        expect(json_1.isJSONValue(possibleValue)).toEqual(false);
    });
});
test('objectToJSONObject', () => {
    const input = { hi: 'there' };
    const expected = { hi: 'there' };
    const result = json_1.objectToJSONObject(input);
    expect(result).toEqual(expected);
});
//# sourceMappingURL=json.test.js.map