"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ServiceClient = void 0;
const JSONRPC20_1 = require("./JSONRPC20");
class ServiceClient {
    constructor({ url, timeout, token }) {
        this.url = url;
        this.timeout = timeout;
        this.token = token;
    }
    callFunc(funcName, params) {
        return __awaiter(this, void 0, void 0, function* () {
            const client = new JSONRPC20_1.JSONRPCClient({ url: this.url, timeout: this.timeout, token: this.token });
            const method = `${this.module}.${funcName}`;
            const result = yield client.callMethod(method, params, { timeout: this.timeout });
            if (result.length === 0) {
                throw new Error('Too few (none) return values in return array');
            }
            return result;
        });
    }
    callFuncEmptyResult(funcName, params) {
        return __awaiter(this, void 0, void 0, function* () {
            const client = new JSONRPC20_1.JSONRPCClient({ url: this.url, timeout: this.timeout, token: this.token });
            const method = `${this.module}.${funcName}`;
            const result = yield client.callMethod(method, params, { timeout: this.timeout });
            if (result.length !== 0) {
                throw new Error(`Too many (${result.length}) return values in return array`);
            }
            return;
        });
    }
}
exports.ServiceClient = ServiceClient;
//# sourceMappingURL=ServiceClient.js.map